pdfcube(1)

NAME
pdfcube - a PDF presentation viewer with 3D effects.

SYNOPSIS

pdfcube [FILE] [--help] [--bgcolor f:f:f] [--top-color f:f:f] [--no-fullscreen] [--demo] [--program n:x:n:x:...]

DESCRIPTION

pdfcube(1) is a tiny (about 30KiB) viewer for Portable Document Format (PDF) files that adds spinning cube transition effect to your PDF presentation files. It can also zoom on 5 predefined areas with a smooth zooming effect. This program is suited only for landscape PDF files, mostly presentations done with LaTeX (Beamer, Prosper, etc.) or OpenOffice.org Impress.

If FILE is not given a file-open dialog box is shown to the user.

pdfcube(1) is an open source, low-effort, spare-time, money-less project. Your help is welcome!

OPTIONS

-h [ --help ]
    This help message.

-v [ --version ]
    Version information

-b [ --bgcolor ] arg
    Background color is 'r:g:b' with real values between 0.0 and 1.0, no spaces.

-t [ --top-color ] arg
    Cube top color in 'r:g:b' format again with reals in [0,1].

-n [ --no-fullscreen ]
    Don't activate full-screen mode by default.

--demo Automatically auto-advance presentation based on the
    frame duration PDF attribute (\transduration when using Latex Beamer) or the specified program (see the --program option).

--program A program in the form
    n:x:n:x:n:x... where n are durations in seconds and "x" can be either "c" for cube transition and "p" for plain transition. (e.g. --program 5:c:3:p). The last program is used for all remaining slides.

  Notes
The first (and only) non-option string is treated as the input file.

INTERACTIVE CONTROL

c, a
    Will display the next/previous page with a cube transition effect.

SPACE, PG-DOWN
    Will switch to the next page with the programmed effect.

h, j, k, l, z
    Will zoom into the predefined areas.

g   Will undo any zoom.

ESC, Ctrl-q
    Will exit pdfcube immediately.

PG-UP, Left-Arrow
    Will quick-switch to the previous page.

Right-Arrow
    Will quick-switch to the next page.

f   Will toggle full-screen mode.

t   Will toggle auto-advance (demo) mode.

Ctrl-l
    Will redraw the screen.

Ctrl-1, Ctrl-2, ..., Ctrl-9
    Will jump to the page corresponding to the n-th programmed transition (if any).

1, 2, ..., 9
    Will jump to page 5*(n-1).

CONFIGURATION FILE

If the ~/.pdfcuberc file exists, it is used as a configuration file. The configuration file uses the same options as the command line (using the boost program options syntax). e.g.

    demo=true
    bgcolor=0:0:0
    program=5:p

EXAMPLES

pdfcube foo.pdf
    Will display 'foo.pdf' in full-screen.

pdfcube --demo --program 5:c foo.pdf
    Will display 'foo.pdf' in full-screen and will do a cube transition every 5 seconds.

pdfcube foo.pdf --bgcolor 0:0:0 --top-color 0.6:0.2:0.2
    Will display 'foo.pdf' with custom background and cube color.

BUGS

On some systems color values are locale dependent (e.g. you may have to write 0,6 instead of 0.6)

See http://code.100allora.it/pdfcube/report/ for the bugtracker of pdfcube(1) (you should obtain an account contacting the author first). Or please report any bug to the author.

AUTHORS
Written by Mirko Maischberger <mailto:mirko.maischberger@gmail.com> and Karol Sokolowsky <sokoow@gmail.com>

RESOURCES
Main web site: http://code.100allora.it/pdfcube/

THANKS
I'd like to thank the LILiK laboratory in Florence, Italy for having teached me the value of open-source and open-culture.

COPYING
This manpage is available under the same GPL v2 or later license as the main program, the original manpage was written by Alexander Wirt <mailto:formorer@debian.org> for the Debian distribution. The 0.0.5 version is Copyright (C) 2008-2012 Mirko Maischberger.